<h1>Inventario de artículos</h1>
<section class="page">
    <div>
        <div class="search-form">
            <mat-form-field class="search-text-input" appearance="fill">
                <input #searchInput matInput type="text"
                       placeholder="Buscar por código, nombre del artículo, marca o proveedor"
                       [(ngModel)]="search">
                <mat-icon matPrefix>search</mat-icon>
            </mat-form-field>

            <button mat-raised-button color="primary" (click)="onSearch()">Buscar</button>

            <button mat-raised-button color="accent" (click)="onDeletedSelectedItems()">Borrar seleccionados</button>
        </div>

        <table mat-table matSort [dataSource]="dataSource" class="mat-elevation-z8"
               (matSortChange)="announceSortChange($event)">

            <!-- Code Column -->
            <ng-container matColumnDef="code">
                <th mat-header-cell mat-sort-header *matHeaderCellDef> Código</th>
                <td mat-cell *matCellDef="let element">
                    <mat-checkbox [(ngModel)]="element.selected" class="example-margin"
                                  style="margin-right: 8px;"></mat-checkbox>
                    {{element.item.code}}
                </td>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="name">
                <th mat-header-cell mat-sort-header *matHeaderCellDef> Nombre</th>
                <td mat-cell *matCellDef="let element"> {{element.item.name}}</td>
            </ng-container>

            <!-- Price Column -->
            <ng-container matColumnDef="price">
                <th mat-header-cell mat-sort-header *matHeaderCellDef> Precio</th>
                <td mat-cell *matCellDef="let element"> {{element.item.price}}</td>
            </ng-container>

            <!-- Brand Column -->
            <ng-container matColumnDef="brand">
                <th mat-header-cell mat-sort-header *matHeaderCellDef> Marca</th>
                <td mat-cell *matCellDef="let element"> {{element.item.brand}}</td>
            </ng-container>

            <!-- Supplier Column -->
            <ng-container matColumnDef="supplier">
                <th mat-header-cell mat-sort-header *matHeaderCellDef> Proveedor</th>
                <td mat-cell *matCellDef="let element"> {{element.item.supplier}}</td>
            </ng-container>

            <!-- Options Column -->
            <ng-container matColumnDef="options" stickyEnd>
                <th mat-header-cell *matHeaderCellDef class="options-col"> Opciones </th>
                <td mat-cell *matCellDef="let element">
                    <button mat-raised-button color="primary" (click)="onItemClicked(element.item)">Editar</button>

                    <button mat-raised-button color="accent" (click)="onItemDelete(element.item)">Eliminar</button>
                </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
        <mat-paginator [length]="total"
                       [pageSize]="perPage"
                       [pageSizeOptions]="pageSizeOptions"
                       (page)="onPage($event)"
                       aria-label="Select page">
        </mat-paginator>
    </div>
</section>
